Bug 1015806 - mythtv+nouveau+older card = playback double speed, audio plays normal speed
mythtv+nouveau+older card = playback double speed, audio plays normal speed
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 13:41 EDT by Trevor Cordes
Modified: 2015-01-09 03:21 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 03:20:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Cordes 2013-10-05 13:41:24 EDT
Description of problem:
I upgraded from Fedora 18 (nv driver) to 19 (nouveau driver, as 19 got rid of nv), and all mythtv frontend viewing started having double-speed video, but the audio was still 100% ok (normal speed). 18 to 19 did not change the myth versions.

I tried every myth option, every decoder, every deinterlacer, and it stayed double speed. Even setting audio to NULL didn't help. Did it on live TV as well as recordings.

When I did a while-watching options->playback->playbackdata it would show the mpg was 29.97 fps and the playback FPS was 59.75 to 59.99!!

Testing with
mythavtest -O LocalHostName?=abcdefg /data/Mythtv/Recordings/1888_20130708085900.mpg
made no difference. It still played double-speed.

Testing with mplayer /data/Mythtv/Recordings/1888_20130708085900.mpg
and the video was fine (not double-speed). Problem is in myth only.

I switch to the binary nvidia driver and the video was fine (not double-speed) without any other changes. So the problem appears to be unique to the nouveau driver.

The output from myth while double-speed shows nothing out of the ordinary.


Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.9-1.fc19.i686
mythtv-frontend-0.26.0-10.fc19.i686
kmod-nvidia-304xx-3.10.4-300.fc19.i686.PAE-304.88-2.fc19.i686
xorg-x11-drv-nvidia-304xx-304.88-12.fc19.i686


How reproducible:
always


Steps to Reproduce:
1. boot and start X using nouveau
2. run mythfrontend
3. playback any recording

Actual results:
Plays video at double-speed.  Audio is at normal speed.

Expected results:
Plays video and audio at normal speed.

Additional info:

Seems like it *might* be only on older 4-digit nvidia cards and not newer 3-digit cards based on other "me-too" reports.  This may explain why it's not hitting more people.

See mythtv upstream bug:
http://code.mythtv.org/trac/ticket/11729

Though I think this is probably a nouveau thing, not a myth thing.
Comment 1 David Howells 2013-11-19 18:14:01 EST
I saw this with F19 and now see this with F20.

xorg-x11-drv-nouveau-1.0.9-2.fc20.x86_64
mythtv-frontend-0.27-2.fc20.x86_64

01:00.0 VGA compatible controller: NVIDIA Corporation GF106 [GeForce GTS 450] (rev a1)

[   641.975] (--) NOUVEAU(0): Chipset: "NVIDIA NVC3"
Comment 2 Trevor Cordes 2015-01-09 03:20:35 EST
This was fixed upstream and made it into Fedora's stock kernel sometime around 3.12 or 3.14.

See upstream bug link in comment in initial comment.
Kernel commit that fixed it was 7d3428cd4b2

Closing

Note You need to log in before you can comment on or make changes to this bug.